from flask import redirect

from api.route import Route
from core.logger import Logger
from data.schemas.public.short_url import ShortUrl
from data.schemas.public.short_url_dao import shortUrlDao

BasePath = f"/"
logger = Logger(__name__)


@Route.get(f"{BasePath}/<path:path>")
async def handle_short_url(path: str):
    from_db = await shortUrlDao.find_single_by({ShortUrl.short_url: path})
    if from_db is None:
        return {"error": "Short URL not found"}, 404

    return redirect(from_db.target_url)
